### Function

# Soup header_parse_list

#### Declaration [src]

    GSList*
    soup_header_parse_list (
      const char* header
    )

#### Description [src]

Parses a header whose content is described by RFC2616 as `#something`.

“something” does not itself contain commas, except as part of quoted-strings.

#### Parameters

`header`

  Type: `const char*`

  A header value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `utf8`

A `GSList` of list elements, as allocated strings.

The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.